Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.lcdui
Class TextBox

    java.lang.Object
      javax.microedition.lcdui.Displayable
          javax.microedition.lcdui.Screen
              javax.microedition.lcdui.TextBox

    public class TextBox

extends Screen

Author:
  Andre Nijholt

Field Summary

Fields inherited from class javax.microedition.lcdui.Displayable
`cmdListener, commands, height, KEY_BACK, KEY_ENTER, KEY_LEFT, KEY_RIGHT, shown, ticker, title, width`

Constructor Summary
`TextBox(String title, String text, int maxSize, int constraints)`

Method Summary
`String` | `getText()`
`protected void` | `keyPressed(int keyCode)`
`void` | `paint(Graphics g)`
`void` | `setConstraints(int constraints)`
`void` | `setMaxSize(int maxSize)`
`void` | `setText(String text)`

Methods inherited from class javax.microedition.lcdui.Screen
`hideNotify, keyReleased, showNotify`

Methods inherited from class javax.microedition.lcdui.Displayable
`addCommand, callCommandListener, clearPaintRequest, getHeight, getPaintRequest, getTicker, getTitle, getWidth, isShown, removeCommand, repaint, setCommandListener, setTicker, setTicker, setTitle, sizeChanged`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Constructor Detail

### TextBox

    public TextBox(String title,
                   String text,
                   int maxSize,
                   int constraints)

Method Detail

### setText

    public void setText(String text)

### getText

    public String getText()

### setMaxSize

    public void setMaxSize(int maxSize)

### setConstraints

    public void setConstraints(int constraints)

### keyPressed

    protected void keyPressed(int keyCode)

  Overrides:
    `keyPressed` in class `Screen`

### paint

    public void paint(Graphics g)

  Specified by:
    `paint` in class `Screen`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD